1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Supporto PCSC

Discussion in 'Vu+ SoloSE Immagini Black Hole' started by coogh, Jan 30, 2016.

  1. coogh

    coogh Vu+ Newbie

    Messages:
    32
    Scusate, mi sto facendo casino tra i vari thread...
    Vorrei far funzionare un lettore PCSC Omnikey, per ora ho proceduto così:
    1. da altra discussione scaricato il demone pcscd e inserito nella cartella init.d;
    2. abilitato supporto pcsc da relativo pannello.
    Non ho fatto altro e infatti il lettore non va', dicendomi che mancano le libpcsclite, ma suppongo molti altri file, visto che ho trovato vecchi thread che parlavano di installare hal, ccid, ecc... tuttavia erano riferiti a OE 1.6.

    Devo installare davvero qualcosa? Se sì, mi indichereste i link?
    E' sufficiente che abiliti qualche modulo kernel (tipo FTDI o "altri usb reader"), o cmq lo devo fare dopo aver installato?

    Vi ringrazio per l'aiuto.
     
  2. angelofsky1980

    angelofsky1980 BlackHole Driver Specialist

    Messages:
    17,110
    Da telnet:
    Code:
    opkg install pcsc-lite-lib
    Oltre al file che hai già installato, dovrebbe essere l'unico pacchetto mancante.
     
  3. coogh

    coogh Vu+ Newbie

    Messages:
    32
    Grazie Angelo, reader funzionante perfettamente, ora.

    Tra l'altro, se posso approfittare, consiglio a tutti questo OMNIKEY 1021, pagato 12 euro nuovo, dopo aver tribolato negli anni con smartreader+
     
    bigletterato likes this.
  4. coogh

    coogh Vu+ Newbie

    Messages:
    32
    Angelo... ti chiedo ancora un aiuto su questo argomento: ho provato ad effettuare la procedura di installazione delle pcsc lite lib su openblackhole e mi restituisce questo errore:

    root@vusolose:~# opkg install pcsc-lite-lib
    Unknown package 'pcsc-lite-lib'.
    Collected errors:
    * opkg_install_cmd: Cannot install package pcsc-lite-lib.

    Come posso fare?

    Grazie
     
  5. angelofsky1980

    angelofsky1980 BlackHole Driver Specialist

    Messages:
    17,110
    Su OBH probabilmente il package ha un nome diverso.
    Devo preparare un box con su quella immagine per darvi supporto....
     
  6. coogh

    coogh Vu+ Newbie

    Messages:
    32
    Ciaa Angelo, scusa l'insistenza, sei riuscito a capire il nome del package? Ti ringrazio molto.

    Inviato dal mio Nexus 6P utilizzando Tapatalk
     
  7. angelofsky1980

    angelofsky1980 BlackHole Driver Specialist

    Messages:
    17,110
    Non ho ancora installato OBH su un box..... sto correndo da quando ho scritto il precedente messaggio per lavoro :(
     
  8. coogh

    coogh Vu+ Newbie

    Messages:
    32
    Ciao Angelo, riprendo questo thread per chiederti se sulla nuova OpenBH 1.0 i driver e le libs per far funzionare il lettore pcsc sono già presenti, oppure come procedere per installarle e farlo funzionare.
    Ti ringrazio molto
     
  9. coogh

    coogh Vu+ Newbie

    Messages:
    32
    Ciao Angelo, riprendo questo thread perché oggi, installando la nuova bh 3.0.5 e facendo partire la solita procedura per far funzionare lettore pcsc, al comando da telnet mi da l'errore di unknown package (fino alla 3.0.4 mai successo). Riesci ad aiutarmi? E' cambiato qualcosa? Grazie molte.

    root@vusolose:~# opkg install pcsc-lite-lib
    Unknown package 'pcsc-lite-lib'.
    Collected errors:
    * opkg_install_cmd: Cannot install package pcsc-lite-lib.
     
  10. coogh

    coogh Vu+ Newbie

    Messages:
    32
    Aggiungo, per info, che lanciando il comando opkg list, non compaiono le lib pcsc-lite. Può essere che siano state tolte (ho guardato sia con la dicitura pcsc-lite-lib, che libpcsc)

    Grazie per l'aiuto.
     
  11. AlexWilMac

    AlexWilMac Moderator

    Messages:
    6,989
    Riprova oggi perché ieri il server era KO. Non si poteva installare alcunché.
     
  12. coogh

    coogh Vu+ Newbie

    Messages:
    32
    Grazie Alexwilmac, ho provato, ma continua a darmi lo stesso errore. Non è proprio presente il pacchetto.
    Qualche altro suggerimento? dove potrei trovare un server alternativo da cui fare download? sto cercando, ma trovo solo versioni per debian. Avete idea di come si potrebbe compilare per MIPS?
     
  13. coogh

    coogh Vu+ Newbie

    Messages:
    32
    Nessuno che abbia qualche idea?
    Un'ipotesi è quella di scaricare dal feed della 3.0.4 le pcsc-lite-lib, ma io non so come fare, se vado da web, mi dice forbidden. Qualcuno sa qual'è il link corretto per avere la lista e scaricare il file? In alternativa, qualcuno lo può scaricare e inviarmelo? Grazie